#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""Tests for `pyairfoil` package."""

import pytest

from click.testing import CliRunner

from pyairfoil.pyairfoil import *
from pyairfoil import cli


def test_airfoil_registration():
    """ Test airfoil registration """
    new_airfoil = AirfoilPritchard()
    assert AirfoilPritchard.__name__ in AIRFOIL_TYPES.keys()


def test_command_line_interface():
    """Test the CLI."""
    runner = CliRunner()
    result = runner.invoke(cli.main)
    assert result.exit_code == 0
    assert 'pyairfoil.cli.main' in result.output
    help_result = runner.invoke(cli.main, ['--help'])
    assert help_result.exit_code == 0
    assert '--help  Show this message and exit.' in help_result.output
